{
  open Parser;;        (* le type "token" est dfini dans parser.mli *)
(* ce n'est pas  vous d'crire ce fichier, il est engendr automatiquement *)
exception Eof;;
}

rule token = parse    (* la "fonction" aussi s'appelle token .. *)
  | [' ' '\t']     { token lexbuf }    (* on saute les blancs et les tabulations *)
 	     	   	           (* token: appel rcursif *)
                                   (* lexbuf: argument implicite
                                      associ au tampon o sont
                                      lus les caractres *)
  | '\n'            { EOL }
  | '+'             { PLUS }
  | '*'             { TIMES }
  | '('             { LPAREN }
  | ')'             { RPAREN }
  | ['0'-'9']+ as s { INT (int_of_string s) }
  | eof             { raise Eof } 
